我在jupyter下用“!python3 -m numpy install --upgrade numpy”想升级一下numpy,为什么报这个错呢?
Traceback (most recent call last):
  File "D:\Python\Anaconda3\lib\runpy.py", line 183, in _run_module_as_main
    mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  File "D:\Python\Anaconda3\lib\runpy.py", line 142, in _get_module_details
    return _get_module_details(pkg_main_name, error)
  File "D:\Python\Anaconda3\lib\runpy.py", line 109, in _get_module_details
    __import__(pkg_name)
  File "C:\Users\zx305\AppData\Roaming\Python\Python36\site-packages\numpy\__init__.py", line 140, in <module>
    from . import _distributor_init
  File "C:\Users\zx305\AppData\Roaming\Python\Python36\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "D:\Python\Anaconda3\lib\ctypes\__init__.py", line 348, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 不是有效的 Win32 应用程序。

3个回答

python3 -m pip install --upgrade numpy 或
python3 -m pip3 install --upgrade numpy

既然用的是anaconda 可以直接conda upgrade numpy

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
python3.6numpy的whl在cmd安装报错
![图片说明](https://img-ask.csdn.net/upload/201708/04/1501841933_819482.jpg)![图片说明](https://img-ask.csdn.net/upload/201708/04/1501841953_294720.jpg) python3.6.2,windows64位,下载了numpy的whl文件后在cmd安装,但是报错说文件不存在,请问这是什么问题??
矩阵乘法错误 (Python3.7; jupyter notebook 6.0.0; numpy 1.16.4)该怎么办?
本人六年级小学生,很想进军人工智能领域,于是搞了本《Python神经网络编程》来看(图1),安装搭建了jupyter,可是在训练神经网络(更新权重那一步)的时候出了问题,也不只是怎么回事,打了ipdb断点,一查,阵矩大小、形状都没有问题,可是jupyter一直报错矩阵无法相乘,求大神解答(更多信息见正文) ![《Python神经网络编程》](https://img-ask.csdn.net/upload/202001/22/1579668143_1165.jpg) 先贴一下错误信息: > ValueError: matmul: Input operand 1 has a mismatch in its core dimension 0, with gufunc signature (n?,k),(k,m?)->(n?,m?) (size 3 is different from 5) 我百度了一下,这个好像是阵矩1的行与阵矩2的列不相同,我再次断点调试,各种一番捯饬,最后……额还是没找出问题…… 再贴一下诡异的jupyter运行截图: ![运行截图](https://img-ask.csdn.net/upload/202001/22/1579680986_443189.png) 图中可以看到框1是将要执行的语句,但是上一句打了ipdb断点,之后我在断点环境下执行了代码,结果成功了!!!成功了!!!可是我按下c之后就又报错了!!!求教啊,神马蛇皮走位?于是我再把断点去掉,又是同样的报错,放到导出py文件后本地执行也报错,神马情况??? 再贴一下train函数截图: ![图片说明](https://img-ask.csdn.net/upload/202001/22/1579680754_198010.png) 最后附上全部代码,方便大家解答: ```python import numpy import scipy.special # 神经网络 class Network: """神经网络类""" def __init__(self, nodes, l_rate): """神经网络初始化方法""" self.nodes = nodes self.lr = l_rate self.layer_num = len(nodes) self.weight_num = self.layer_num -1 self._init_layers() self._init_weights() self.activ = scipy.special.expit def _init_layers(self): """初始化所有神经层""" self.layers = [None for _ in range(self.layer_num)] for i in range(self.layer_num): # 本层的神经数 node_num = self.nodes[i] # 初始化本层神经,用0填充 self.layers[i] = numpy.zeros((node_num,)).T def _init_weights(self): """初始化所有权重""" self.weights = [None for _ in range(self.weight_num)] for i in range(self.weight_num): # 初始化本层权重,用[1/三√下一层神经数)]的正态分布填充 # 参数:1.正态分布中心 2.[1/(√下一层神经数)] 3.权重阵矩大小 self.weights[i] = numpy.random.normal(0.0, pow(self.nodes[i+1], -0.5), (self.nodes[i+1], self.nodes[i])) def query(self, inputs): """查询神经网络的结果""" assert len(inputs) is self.nodes[0] for i in range(self.layer_num): # 如果第是一遍遍历,将最后一次结果设为输入值 if i is 0: self.layers[0] = numpy.array(inputs, ndmin=2).T continue # 本轮神经计算值 self.layers[i] = self.weights[i - 1] @ self.layers[i - 1] self.layers[i] = self.activ(self.layers[i]) return self.layers[-1] def train(self, inputs, targets): """对神经网络进行训练""" assert len(targets) is self.nodes[-1] last_result = self.query(inputs) for i in reversed(range(self.weight_num)): if i is self.weight_num-1: errors = numpy.array(targets, ndmin=2).T - last_result else: errors = self.weights[i + 1] @ errors import ipdb; ipdb.set_trace() # 问题出在这一行↓↓↓ self.weights[i] += self.lr *((errors * self.layers[i+1] * (1.0 - self.layers[i+1])) @ self.layers[i].T) if __name__ == '__main__': nw = Network((3, 5, 5, 3), 0.01) for _ in range(10000): nw.train([1, 1, 1], [1, 1, 1]) results = nw.query([1, 1, 1]) print(results) ```
Python中如何用numpy删除数据矩阵指定行
本人初学Python,数据大概在40M左右,txt格式,用numpy中的Loadtxt打开后,需要删除所有第二列为空的行,自己写的代码如下: import numpy as np data=np.loadtxt('GSE4187.txt',delimiter='\t',skiprows=0,dtype='str') def row(c,data): a,b=np.where(data==c) return int(a) for i in range(data.shape[0]): c=data[i][1] if c is '': data=np.delete(arr,row(c,data),axis=0) 试了很久运行出来的结果依旧是原来的数据,没有任何改变,请各位大神指点,非常感谢!
Linux环境下,在Qt中调用Python,导入第三方库时出错?
有关python的文件列表如下: ![图片说明](https://img-ask.csdn.net/upload/202003/10/1583811655_177622.png) 在Terminal中用python解释器运行时完全正常: ![图片说明](https://img-ask.csdn.net/upload/202003/10/1583811736_800874.png) 在把该py文件加入Qt项目后,运行时出错。 ![图片说明](https://img-ask.csdn.net/upload/202003/10/1583811777_994860.png) 以下是python的调用代码: ``` //【1】初始化 Py_Initialize(); if (!Py_IsInitialized()) { qDebug() << "init python failed"; return; } //【2】添加python模块路径 PyRun_SimpleString("import sys"); PyRun_SimpleString("sys.path.append('/root/IOLTest/')"); //【3】导入python模块 PyObject* pModule = PyImport_ImportModule("bandpass"); if (!pModule) { qDebug() << "import module bandpass failed"; return; } //【4】获取python函数 PyObject* pFunhello= PyObject_GetAttrString(pModule,"hello"); if(!pFunhello) { qDebug() << "call hello failed"; return; } //【5】调用python函数 PyObject_CallObject(pFunhello,NULL); //【6】释放python组件 Py_Finalize(); ``` 程序运行到第三步导入python模块时出错,try-except打印的信息是: ``` IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the numpy c-extensions failed. - Try uninstalling and reinstalling numpy. - If you have already done that, then: 1. Check that you expected to use Python3.6 from "/usr/bin/python3", and that you have no directories in your PATH or PYTHONPATH that can interfere with the Python and numpy version "1.18.1" you're trying to use. 2. If (1) looks fine, you can open a new issue at https://github.com/numpy/numpy/issues. Please include details on: - how you installed Python - how you installed numpy - your operating system - whether or not you have multiple versions of Python installed - if you built from source, your compiler versions and ideally a build log - If you're working with a numpy git repository, try `git clean -xdf` (removes all files not under version control) and rebuild numpy. Note: this error has many possible causes, so please don't comment on an existing issue about this - open a new one instead. Original error was: /usr/local/lib/python3.6/dist-packages/numpy/core/_multiarray_umath.cpython-36m-x86_64-linux-gnu.so: undefined symbol: PyExc_ImportError ``` 问题出在导入第三方库上,即 import scipy.signal as signal 这行代码,若是去掉,则可以正常运行。 貌似是Qt里的环境跟Terminal不一样,所以有没有知道原因和解决方案的大牛,还望指点一二。
安装了anaconda3,自带numpy库,但不能导入
ImportError Traceback (most recent call last) ~\AppData\Roaming\Python\Python36\site-packages\numpy\core\__init__.py in <module>() 15 try: ---> 16 from . import multiarray 17 except ImportError as exc: ImportError: cannot import name 'multiarray' During handling of the above exception, another exception occurred: ImportError Traceback (most recent call last) <ipython-input-1-5a0bd626bb1d> in <module>() ----> 1 import numpy ~\AppData\Roaming\Python\Python36\site-packages\numpy\__init__.py in <module>() 140 return loader(*packages, **options) 141 --> 142 from . import add_newdocs 143 __all__ = ['add_newdocs', 144 'ModuleDeprecationWarning', ~\AppData\Roaming\Python\Python36\site-packages\numpy\add_newdocs.py in <module>() 11 from __future__ import division, absolute_import, print_function 12 ---> 13 from numpy.lib import add_newdoc 14 15 ############################################################################### ~\AppData\Roaming\Python\Python36\site-packages\numpy\lib\__init__.py in <module>() 6 from numpy.version import version as __version__ 7 ----> 8 from .type_check import * 9 from .index_tricks import * 10 from .function_base import * ~\AppData\Roaming\Python\Python36\site-packages\numpy\lib\type_check.py in <module>() 9 'common_type'] 10 ---> 11 import numpy.core.numeric as _nx 12 from numpy.core.numeric import asarray, asanyarray, array, isnan, zeros 13 from .ufunclike import isneginf, isposinf ~\AppData\Roaming\Python\Python36\site-packages\numpy\core\__init__.py in <module>() 24 Original error was: %s 25 """ % (exc,) ---> 26 raise ImportError(msg) 27 28 for envkey in env_added: ImportError: Importing the multiarray numpy extension module failed. Most likely you are trying to import a failed build of numpy. If you're working with a numpy git repo, try `git clean -xdf` (removes all files not under version control). Otherwise reinstall numpy. Original error was: cannot import name 'multiarray' 问题补充:1.我已经在网上搜索了的问题,有人说需要卸载numpy库后重新装,试了但不管用,同时,我又重装了anaconda,也不管用。 2.我的电脑上还同时安装了独立的python3,python2。python3是默认系统。
Python用tar.gz文件安装时出现错误:No module named 'numpy.distutils._msvccompiler' in numpy.distutils及Unable to find vcvarsall.bat
系统win10 64位,python版本3.7.4。 在网上下载了scikit-learn-0.22.tar,解压后利用python setup.py install进行安装时报错。 代码如下: ``` PS C:\Users\TH.Liu> cd E:\python\Scripts\scikit-learn-0.22\scikit-learn-0.22 PS E:\python\Scripts\scikit-learn-0.22\scikit-learn-0.22> python setup.py install Partial import of sklearn during the build process. E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'project_urls' warnings.warn(msg) E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'python_requires' warnings.warn(msg) E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'install_requires' warnings.warn(msg) No module named 'numpy.distutils._msvccompiler' in numpy.distutils; trying from distutils Traceback (most recent call last): File "setup.py", line 303, in <module> setup_package() File "setup.py", line 299, in setup_package setup(**metadata) File "E:\python\lib\site-packages\numpy\distutils\core.py", line 137, in setup config = configuration() File "setup.py", line 182, in configuration config.add_subpackage('sklearn') File "E:\python\lib\site-packages\numpy\distutils\misc_util.py", line 1035, in add_subpackage caller_level = 2) File "E:\python\lib\site-packages\numpy\distutils\misc_util.py", line 1004, in get_subpackage caller_level = caller_level + 1) File "E:\python\lib\site-packages\numpy\distutils\misc_util.py", line 941, in _get_configuration_from_setup_py config = setup_module.configuration(*args) File "sklearn\setup.py", line 86, in configuration cythonize_extensions(top_path, config) File "E:\python\Scripts\scikit-learn-0.22\scikit-learn-0.22\sklearn\_build_utils\__init__.py", line 50, in cythonize_extensions basic_check_build() File "E:\python\Scripts\scikit-learn-0.22\scikit-learn-0.22\sklearn\_build_utils\pre_build_helpers.py", line 70, in basic_check_build compile_test_program(code) File "E:\python\Scripts\scikit-learn-0.22\scikit-learn-0.22\sklearn\_build_utils\pre_build_helpers.py", line 40, in compile_test_program extra_postargs=extra_postargs) File "E:\python\lib\distutils\_msvccompiler.py", line 346, in compile self.initialize() File "E:\python\lib\distutils\_msvccompiler.py", line 239, in initialize vc_env = _get_vc_env(plat_spec) File "E:\python\lib\distutils\_msvccompiler.py", line 135, in _get_vc_env raise DistutilsPlatformError("Unable to find vcvarsall.bat") distutils.errors.DistutilsPlatformError: Unable to find vcvarsall.bat ``` 实际上,这俩错误我都在网上找过许多解决方式,但都没有用。下载了VS2010并尝试过在cmd中设置VS90COMNTOOLS =%VS100COMNTOOLS%,依然无效。 抱着最后的希望来这里求助……希望能得到解决。 ———————————————————— 2019.12.17 更新: 在安装了VS2015之后,vcvarsall.bat的问题消失了,剩下的只有: ``` E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'project_urls' warnings.warn(msg) E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'python_requires' warnings.warn(msg) E:\python\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'install_requires' warnings.warn(msg) No module named 'numpy.distutils._msvccompiler' in numpy.distutils; trying from distutils ``` 这些问题了。 大家说PowerShell容易出BUG,我换用CMD后依旧如此。 我依旧没有找到这些报错的解决方案,希望得到大佬的帮助!
在安装好anaconda之后,在anaconda里面配置了新环境但是jupyter和numpy无法安装?
在配置好新环境后需要安装jupyter和numpy 但是无法安装,显示为权限受限和安装包错误,但是anaconda中原本的base环境里面可以运行jupyter和numpy。求大佬解答。
各位朋友好,请教ubuntu系统python3.4环境下安装matplotlib报错的解决办法
具体的问题是这样的: 我的系统是Ubuntu14.04 的64位系统,python3.4版本下,想使用matplotlib来做图。 由于matplotlib依赖numpy和python的图像库PIL,因此我先安装numpy和PIL然后,再安装matplotlib, 这里附上我的安装matplotlib的shell命令 #安装科学计算库numpy sudo pip3 install numpy #安装图像处理库PIL sudo apt-get install python3.4-dev -y sudo apt-get install libjpeg8-dev zlib1g-dev libfreetype6-dev -y sudo ln -s /usr/lib/x86_64-linux-gnu/libjpeg.so /usr/lib sudo ln -s /usr/lib/x86_64-linux-gnu/libfreetype.so /usr/lib sudo ln -s /usr/lib/x86_64-linux-gnu/libz.so /usr/lib sudo apt-get install python3-pil #安装画图库matplotlib sudo pip3 install matplotlib 但是发现虽然安装成功(在python3的shell交互环境下, import matplotlib 是可以的),但是 执行如下语句 from matplotlib import pyplot as plt 报错: "/usr/local/lib/python3.4/dist-packages/matplotlib-1.5.1-py3.4-linux-x86_64.egg/matplotlib/backends/backend_gtk3.py", line 58, in <module> cursors.MOVE : Gdk.Cursor.new(Gdk.CursorType.FLEUR), TypeError: constructor returned NULL 希望各位朋友能指点一下,十分感谢
Python中的numpy lexsort用法问题
我看网上写的 import numpy as np >>> a array([[ 2, 7, 4, 2], [35, 9, 1, 5], [22, 12, 3, 2]]) 按最后一列顺序排序 >>> a[np.lexsort(a.T)] array([[22, 12, 3, 2], [ 2, 7, 4, 2], [35, 9, 1, 5]]) 按最后一列逆序排序 >>>a[np.lexsort(-a.T)] array([[35, 9, 1, 5], [ 2, 7, 4, 2], [22, 12, 3, 2]]) 按第一列顺序排序 >>> a[np.lexsort(a[:,::-1].T)] array([[ 2, 7, 4, 2], [22, 12, 3, 2], [35, 9, 1, 5]]) 我想问下a[:,::-1].T这个代表啥意思? 比如我现在有一个10X8的数组,我现在要用第六列升序排序,该如何写代码?
numpy.core.multiarray failed to import
# 问题: 使用cmd执行有import cv2 和 numpy的脚本会出现numpy.core.multiarray failed to import ![图片说明](https://img-ask.csdn.net/upload/201708/09/1502268358_642984.jpg) # 一些情况: **环境:** windows 10 python : 3.5.3 opencv-python: 3.3.0 numpy: 1.13.1 在**cmd**运行python,然后import 也会报错 ![图片说明](https://img-ask.csdn.net/upload/201708/09/1502268427_523346.jpg) numpy也是 ![图片说明](https://img-ask.csdn.net/upload/201708/09/1502268454_158067.jpg) **但是** 直接在cp里面是可以import cv2 和 numpy的, IDLE也可以跑程序(cmd里Python fliename.py失败的 ,用IDLE是可以运行的) # 采取过的措施 1. 重装numpy,opencv,乃至换过32位的Python(因为当时用64位的cmd进Python成功import过,但是并不能跑程序,后来还不行了) 2. pip install -U numpy (网上很多这个答案,其实没有用) 请问各路大神这个是什么原因,是环境变量的问题还是什么?
请问如何将python 中包含了numpy模块的函数导入C++中
现在我要导入一个函数,函数内部包含了numpy模块 和pandas 模块,请问如何将这个函数导入C++中
Python中import theano中出现的import error相关的问题,希望能得到解答
新人第一次使用theano,目前网上没又找到相关的解决方案,我想在这里问下各位朋友,以下是错误 Problem occurred during compilation with the command line below: "g++" -shared -g -IC:\Users\wskyl\Anaconda3\MinGW -DNPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION -m32 -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\numpy\core\include" -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\include" -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\c_code" -L"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\libs" -L"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32" -o "C:\Users\wskyl\AppData\Local\Theano\compiledir_Windows-10-10.0.16299-SP0-Intel64_Family_6_Model_158_Stepping_9_GenuineIntel-3.6.2-32\lazylinker_ext\lazylinker_ext.pyd" "C:\Users\wskyl\AppData\Local\Theano\compiledir_Windows-10-10.0.16299-SP0-Intel64_Family_6_Model_158_Stepping_9_GenuineIntel-3.6.2-32\lazylinker_ext\mod.cpp" -lpython36 Traceback (most recent call last): File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 75, in <module> raise ImportError() ImportError During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 92, in <module> raise ImportError() ImportError During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\__init__.py", line 110, in <module> from theano.compile import ( File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compile\__init__.py", line 12, in <module> from theano.compile.mode import * File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compile\mode.py", line 11, in <module> import theano.gof.vm File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\vm.py", line 673, in <module> from . import lazylinker_c File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 127, in <module> preargs=args) File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\cmodule.py", line 2312, in compile_str compile_stderr = decode(p_out[1]) File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compat\__init__.py", line 43, in decode return x.decode() UnicodeDecodeError: 'utf-8' codec can't decode byte 0xd5 in position 4: invalid continuation byte
fatal error: boost/python/numpy.hpp: No such file or directory
哪个大神能解决这个问题,感激不尽!!! ``` fatal error: boost/python/numpy.hpp: No such file or directory ```
python装 numpy 库,显示不支持
python装 numpy 库,显示不支持,咋回事,求指教 ![图片说明](https://img-ask.csdn.net/upload/201808/10/1533874417_638119.png)
python出现 'numpy.dtype' object has no attribute 'is_floating'
模型进行训练的时候在优化器运行部分出现了 'numpy.dtype' object has no attribute 'is_floating' ``` <ipython-input-1-12256e71d6bc> in <module> 260 print('\nPCC training') 261 start = time.time() --> 262 source_acc, target_acc = train_and_evaluate('pcc') 263 sio.savemat('PCC1.mat',{'a':target_y}) 264 end = time.time() <ipython-input-1-12256e71d6bc> in train_and_evaluate(training_mode, num_steps, verbose) 221 y = np.vstack([y0, y1]) 222 pred_loss, coral_loss, cycle_loss, total_loss, classify_labels, pred= loss_function(Fmodel,X,y,True) --> 223 pcc_train_op = tf.train.MomentumOptimizer(learning_rate, 0.9).minimize(lambda:total_loss) 224 #Evaluation 225 correct_label_pred = tf.equal(tf.argmax(classify_labels, 1),tf.argmax(pred_labels,1)) ~/anaconda3/envs/alex/lib/python3.6/site-packages/tensorflow/python/training/optimizer.py in minimize(self, loss, global_step, var_list, gate_gradients, aggregation_method, colocate_gradients_with_ops, name, grad_loss) 401 aggregation_method=aggregation_method, 402 colocate_gradients_with_ops=colocate_gradients_with_ops, --> 403 grad_loss=grad_loss) 404 405 vars_with_grad = [v for g, v in grads_and_vars if g is not None] ~/anaconda3/envs/alex/lib/python3.6/site-packages/tensorflow/python/training/optimizer.py in compute_gradients(self, loss, var_list, gate_gradients, aggregation_method, colocate_gradients_with_ops, grad_loss) 473 # to be executed. 474 with ops.control_dependencies([loss_value]): --> 475 grads = tape.gradient(loss_value, var_list, grad_loss) 476 return list(zip(grads, var_list)) 477 ~/anaconda3/envs/alex/lib/python3.6/site-packages/tensorflow/python/eager/backprop.py in gradient(self, target, sources, output_gradients, unconnected_gradients) 948 flat_targets = [] 949 for t in nest.flatten(target): --> 950 if not t.dtype.is_floating: 951 logging.vlog( 952 logging.WARN, "The dtype of the target tensor must be " AttributeError: 'numpy.dtype' object has no attribute 'is_floating' ``` 一直解决不了
大神给我讲讲python中build是怎么回事吧
有时候装一个第三方库时,看到除了安装还有build,比如这下面这个: Get segyio A copy of segyio is available both as pre-built binaries and source code: In Debian unstable apt install python3-segyio Wheels for Python from PyPI pip install segyio Source code from github git clone https://github.com/statoil/segyio Source code in tarballs Build segyio To build segyio you need: A C99 compatible C compiler (tested mostly on gcc and clang) A C++ compiler for the Python extension, and C++11 for the tests CMake version 2.8.12 or greater Python 2.7 or 3.x. numpy version 1.10 or greater setuptools version 28 or greater setuptools-scm pytest To build the documentation, you also need sphinx To build and install segyio, perform the following actions in your console: git clone https://github.com/Statoil/segyio mkdir segyio/build cd segyio/build cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr/local make make install 我pip install 这个segyio包不是就可以用了吗?还需要build吗?这个build是什么意思呢?
windows下numpy版本无法更新
使用py2.7.8运行 import networkx as nx import matplotlib.pyplot as plt G =nx.random_graphs.barabasi_albert_graph(100,1) nx.draw(G)报错AttributeError: 'module' object has no attribute 'full' ![图片说明](https://img-ask.csdn.net/upload/201808/12/1534039192_449682.png) 查看了一下使用的numpy版本为1.8,用dir()函数查看发现没有full函数,查看其他电脑下numpy1.14.3有full函数且可以正常运行nx.draw(G)语句 想着能不能把现有的numpy版本降低,使用pip install -U numpy==1.14.3,但是一直报错cannot uninstall 'numpy'. it is a dictutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall ![图片说明](https://img-ask.csdn.net/upload/201808/12/1534039177_232459.png) 求问如何解决一开始的问题,降低版本的思路是对的吗? PS:有尝试着把对用的full函数黏贴到1.8版本中,但是还是报错TypeError: concat() got an unexpected keyword argument 'axis',或者是我黏贴的方式不对??
Ubuntu登录界面无限循环且不能进入指令行模式
我在Ubuntu下安装深度学习框架Caffe,按照http://ouxinyu.github.io/Blogs/20151108001.html上的步骤一步一步配置,但安装OpenCV之后,也就是安装了sudo apt-get install build-essential libgtk2.0-dev libjpeg-dev libtiff4-dev libjasper-dev libopenexr-dev cmake python-dev python-numpy python-tk libtbb-dev libeigen3-dev yasm libfaac-dev libopencore-amrnb-dev libopencore-amrwb-dev libtheora-dev libvorbis-dev libxvidcore-dev libx264-dev libqt4-dev libqt4-opengl-dev sphinx-common texlive-latex-extra libv4l-dev libdc1394-22-dev libavcodec-dev libavformat-dev libswscale-dev default-jdk ant libvtk5-qt4-dev之后,重启发现即使输入正确密码也会黑屏然后重返需要输入密码的界面。 按Ctrl+Alt+F1~F6都只会黑屏无法进入指令行模式,只能进入Recovery模式,但在此模式下,输入不了几个指令就回到 Recovery Menu 界面并卡死。我已经重装过Ubuntu了,但是还是一样的效果。 求救,谢谢!!!
Windows10里annaconda下安装pycocotools包报错ERROR: Command errored out with exit status 128
最近为了课题,从https://github.com/ultralytics/yolov3 这里下载了代码并准备配置环境去训练我自己的数据。配置过程中出现了问题。 --- **背景** 由于我一开始用虚拟机装Ubuntu后配置基本功能就各种报错,不耐烦之后又按老师推荐下了docker,但是因为我是win10家庭版,安装过程也特别曲折。安装完之后发现现在阿里云里提供的镜像特别少,也没看到我需要的(难道是我的打开方式有问题?)反正最终也放弃了。现在选择直接在win10里用annaconda配置Pytorch来运行代码进行训练。 --- **配置要求** git clone获取的文件里requirements.txt的配置要求有 numpy opencv-python >= 4.1 torch >= 1.4 matplotlib pycocotools tqdm pillow 我已经在annaconda的base环境里安装了pytorch框架,搜索得到没有安装的只有opencv-python和pycocotools。在安装这两个包的过程中出现了各种各样的问题。 _opencv-python我通过pip的方式安装成功了,但是我也不知道装到哪里去了,也没有找到把它添加到annaconda环境里的方法。如果大佬有知道怎么解决就顺便教下我吧orz_ 最大的问题出现在安装pycocotools上。 --- **问题与尝试过的解决方法** 我在论坛里查了一下,目前有人提供了可在windows上下载pycocotools的链接:https://github.com/philferriere/cocoapi 。给出的教程有以下几步: 1. 安装[visualcppbuildtools_full.exe](https://blog.csdn.net/u012247418/article/details/82314129) 2. 重启电脑,在开始菜单中打开"Visual C++ 2015 x64 Native Build Tools Command Prompt"命令行 3. 命令行中键入"activate env_name"激活虚拟环境(env_name为虚拟环境名称——我输入的是base) 4. 命令行中键入下文完成pycocotools安装 ```pip install git+https://github.com/philferriere/cocoapi.git#subdirectory=PythonAPI``` 我实际操作的过程: * 我安装了这个vs15插件,但我本机上安装的是vs17 ![安装完成后的开始菜单](https://img-ask.csdn.net/upload/202003/14/1584118044_295423.jpg) * 我分别用命令行,git cmd和上面截图中的两个vs本机命令行进行了上面教程中的操作,结果都是一样的,下面是其中一个的截图 ![用vs17命令工具运行结果](https://img-ask.csdn.net/upload/202003/14/1584119741_522499.jpg) 文字版如下: (base) D:\Anaconda3\Lib\site-packages>pip install git+https://github.com/philferriere/cocoapi.git#subdirectory=PythonAPI Collecting git+https://github.com/philferriere/cocoapi.git#subdirectory=PythonAPI Cloning https://github.com/philferriere/cocoapi.git to c:\users\********\appdata\local\temp\pip-req-build-m06w4ozg Running command git clone -q https://github.com/philferriere/cocoapi.git 'C:\Users\********\AppData\Local\Temp\pip-req-build-m06w4ozg' fatal: early EOF fatal: the remote end hung up unexpectedly fatal: index-pack failed error: RPC failed; curl 18 transfer closed with outstanding read data remaining ERROR: Command errored out with exit status 128: git clone -q https://github.com/philferriere/cocoapi.git 'C:\Users\********\AppData\Local\Temp\pip-req-build-m06w4ozg' Check the logs for full command output. 我的git刚刚升级时勾选了可以git字符网址,不过运行了还是这个报错。网上有说可以修改git config的,但是我搜索了我的所有安装盘都没有找到git的配置文件,就不了了之了。 向大佬们求一个解决方法!
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...
【JSON解析】浅谈JSONObject的使用
简介 在程序开发过程中,在参数传递,函数返回值等方面,越来越多的使用JSON。JSON(JavaScript Object Notation)是一种轻量级的数据交换格式,同时也易于机器解析和生成、易于理解、阅读和撰写,而且Json采用完全独立于语言的文本格式,这使得Json成为理想的数据交换语言。 JSON建构于两种结构: “名称/值”对的集合(A Collection of name/va...
程序员请照顾好自己,周末病魔差点一套带走我。
程序员在一个周末的时间,得了重病,差点当场去世,还好及时挽救回来了。
卸载 x 雷某度!GitHub 标星 1.5w+,从此我只用这款全能高速下载工具!
作者 | Rocky0429 来源 | Python空间 大家好,我是 Rocky0429,一个喜欢在网上收集各种资源的蒟蒻… 网上资源眼花缭乱,下载的方式也同样千奇百怪,比如 BT 下载,磁力链接,网盘资源等等等等,下个资源可真不容易,不一样的方式要用不同的下载软件,因此某比较有名的 x 雷和某度网盘成了我经常使用的工具。 作为一个没有钱的穷鬼,某度网盘几十 kb 的下载速度让我...
只因接了一个电话,程序员被骗 30 万!
今天想给大家说一个刚刚发生在我身边的一起真实的诈骗经历,我的朋友因此被骗走30万。注:为了保护当事人隐私,部分情节进行了修改。1平安夜突来的电话开始以为就像普通的诈骗一样,想办法让你把钱...
我一个37岁的程序员朋友
周末了,人一旦没有点事情干,心里就瞎想,而且跟几个老男人坐在一起,更容易瞎想,我自己现在也是 30 岁了,也是无时无刻在担心自己的职业生涯,担心丢掉工作没有收入,担心身体机能下降,担心突...
python自动下载图片
近日闲来无事,总有一种无形的力量萦绕在朕身边,让朕精神涣散,昏昏欲睡。 可是,像朕这么有职业操守的社畜怎么能在上班期间睡瞌睡呢,我不禁陷入了沉思。。。。 突然旁边的IOS同事问:‘嘿,兄弟,我发现一个网站的图片很有意思啊,能不能帮我保存下来提升我的开发灵感?’ 作为一个坚强的社畜怎么能说自己不行呢,当时朕就不假思索的答应:‘oh, It’s simple. Wait for me for a ...
一名大专同学的四个问题
【前言】   收到一封来信,赶上各种事情拖了几日,利用今天要放下工作的时机,做个回复。   2020年到了,就以这一封信,作为开年标志吧。 【正文】   您好,我是一名现在有很多困惑的大二学生。有一些问题想要向您请教。   先说一下我的基本情况,高考失利,不想复读,来到广州一所大专读计算机应用技术专业。学校是偏艺术类的,计算机专业没有实验室更不用说工作室了。而且学校的学风也不好。但我很想在计算机领...
复习一周,京东+百度一面,不小心都拿了Offer
京东和百度一面都问了啥,面试官百般刁难,可惜我全会。
Java 14 都快来了,为什么还有这么多人固守Java 8?
从Java 9开始,Java版本的发布就让人眼花缭乱了。每隔6个月,都会冒出一个新版本出来,Java 10 , Java 11, Java 12, Java 13, 到2020年3月份,...
达摩院十大科技趋势发布:2020 非同小可!
【CSDN编者按】1月2日,阿里巴巴发布《达摩院2020十大科技趋势》,十大科技趋势分别是:人工智能从感知智能向认知智能演进;计算存储一体化突破AI算力瓶颈;工业互联网的超融合;机器间大规模协作成为可能;模块化降低芯片设计门槛;规模化生产级区块链应用将走入大众;量子计算进入攻坚期;新材料推动半导体器件革新;保护数据隐私的AI技术将加速落地;云成为IT技术创新的中心 。 新的画卷,正在徐徐展开。...
轻松搭建基于 SpringBoot + Vue 的 Web 商城应用
首先介绍下在本文出现的几个比较重要的概念: 函数计算(Function Compute): 函数计算是一个事件驱动的服务,通过函数计算,用户无需管理服务器等运行情况,只需编写代码并上传。函数计算准备计算资源,并以弹性伸缩的方式运行用户代码,而用户只需根据实际代码运行所消耗的资源进行付费。Fun: Fun 是一个用于支持 Serverless 应用部署的工具,能帮助您便捷地管理函数计算、API ...
讲真,这两个IDE插件,可以让你写出质量杠杠的代码
周末躺在床上看《拯救大兵瑞恩》 周末在闲逛的时候,发现了两个优秀的 IDE 插件,据说可以提高代码的质量,我就安装了一下,试了试以后发现,确实很不错,就推荐给大家。 01、Alibaba Java 代码规范插件 《阿里巴巴 Java 开发手册》,相信大家都不会感到陌生,其 IDEA 插件的下载次数据说达到了 80 万次,我今天又贡献了一次。嘿嘿。 该项目的插件地址: https://github....
Python+OpenCV实时图像处理
目录 1、导入库文件 2、设计GUI 3、调用摄像头 4、实时图像处理 4.1、阈值二值化 4.2、边缘检测 4.3、轮廓检测 4.4、高斯滤波 4.5、色彩转换 4.6、调节对比度 5、退出系统 初学OpenCV图像处理的小伙伴肯定对什么高斯函数、滤波处理、阈值二值化等特性非常头疼,这里给各位分享一个小项目,可通过摄像头实时动态查看各类图像处理的特点,也可对各位调参、测试...
2020年一线城市程序员工资大调查
人才需求 一线城市共发布岗位38115个,招聘120827人。 其中 beijing 22805 guangzhou 25081 shanghai 39614 shenzhen 33327 工资分布 2020年中国一线城市程序员的平均工资为16285元,工资中位数为14583元,其中95%的人的工资位于5000到20000元之间。 和往年数据比较: yea...
为什么猝死的都是程序员,基本上不见产品经理猝死呢?
相信大家时不时听到程序员猝死的消息,但是基本上听不到产品经理猝死的消息,这是为什么呢? 我们先百度搜一下:程序员猝死,出现将近700多万条搜索结果: 搜索一下:产品经理猝死,只有400万条的搜索结果,从搜索结果数量上来看,程序员猝死的搜索结果就比产品经理猝死的搜索结果高了一倍,而且从下图可以看到,首页里面的五条搜索结果,其实只有两条才是符合条件。 所以程序员猝死的概率真的比产品经理大,并不是错...
害怕面试被问HashMap?这一篇就搞定了!
声明:本文以jdk1.8为主! 搞定HashMap 作为一个Java从业者,面试的时候肯定会被问到过HashMap,因为对于HashMap来说,可以说是Java集合中的精髓了,如果你觉得自己对它掌握的还不够好,我想今天这篇文章会非常适合你,至少,看了今天这篇文章,以后不怕面试被问HashMap了 其实在我学习HashMap的过程中,我个人觉得HashMap还是挺复杂的,如果真的想把它搞得明明白...
毕业5年,我问遍了身边的大佬,总结了他们的学习方法
我问了身边10个大佬,总结了他们的学习方法,原来成功都是有迹可循的。
python爬取百部电影数据,我分析出了一个残酷的真相
2019年就这么匆匆过去了,就在前几天国家电影局发布了2019年中国电影市场数据,数据显示去年总票房为642.66亿元,同比增长5.4%;国产电影总票房411.75亿元,同比增长8.65%,市场占比 64.07%;城市院线观影人次17.27亿,同比增长0.64%。 看上去似乎是一片大好对不对?不过作为一名严谨求实的数据分析师,我从官方数据中看出了一点端倪:国产票房增幅都已经高达8.65%了,为什...
推荐10个堪称神器的学习网站
每天都会收到很多读者的私信,问我:“二哥,有什么推荐的学习网站吗?最近很浮躁,手头的一些网站都看烦了,想看看二哥这里有什么新鲜货。” 今天一早做了个恶梦,梦到被老板辞退了。虽然说在我们公司,只有我辞退老板的份,没有老板辞退我这一说,但是还是被吓得 4 点多都起来了。(主要是因为我掌握着公司所有的核心源码,哈哈哈) 既然 4 点多起来,就得好好利用起来。于是我就挑选了 10 个堪称神器的学习网站,推...
这些软件太强了,Windows必装!尤其程序员!
Windows可谓是大多数人的生产力工具,集娱乐办公于一体,虽然在程序员这个群体中都说苹果是信仰,但是大部分不都是从Windows过来的,而且现在依然有很多的程序员用Windows。 所以,今天我就把我私藏的Windows必装的软件分享给大家,如果有一个你没有用过甚至没有听过,那你就赚了????,这可都是提升你幸福感的高效率生产力工具哦! 走起!???? NO、1 ScreenToGif 屏幕,摄像头和白板...
阿里面试,面试官没想到一个ArrayList,我都能跟他扯半小时
我是真的没想到,面试官会这样问我ArrayList。
曾经优秀的人,怎么就突然不优秀了。
职场上有很多辛酸事,很多合伙人出局的故事,很多技术骨干被裁员的故事。说来模板都类似,曾经是名校毕业,曾经是优秀员工,曾经被领导表扬,曾经业绩突出,然而突然有一天,因为种种原因,被裁员了,...
大学四年因为知道了这32个网站,我成了别人眼中的大神!
依稀记得,毕业那天,我们导员发给我毕业证的时候对我说“你可是咱们系的风云人物啊”,哎呀,别提当时多开心啦????,嗯,我们导员是所有导员中最帅的一个,真的???? 不过,导员说的是实话,很多人都叫我大神的,为啥,因为我知道这32个网站啊,你说强不强????,这次是绝对的干货,看好啦,走起来! PS:每个网站都是学计算机混互联网必须知道的,真的牛杯,我就不过多介绍了,大家自行探索,觉得没用的,尽管留言吐槽吧???? 社...
良心推荐,我珍藏的一些Chrome插件
上次搬家的时候,发了一个朋友圈,附带的照片中不小心暴露了自己的 Chrome 浏览器插件之多,于是就有小伙伴评论说分享一下我觉得还不错的浏览器插件。 我下面就把我日常工作和学习中经常用到的一些 Chrome 浏览器插件分享给大家,随便一个都能提高你的“生活品质”和工作效率。 Markdown Here Markdown Here 可以让你更愉快的写邮件,由于支持 Markdown 直接转电子邮...
【程序人生】程序员接私活常用平台汇总
00. 目录 文章目录00. 目录01. 前言02. 程序员客栈03. 码市04. 猪八戒网05. 开源众包06. 智城外包网07. 实现网08. 猿急送09. 人人开发10. 开发邦11. 电鸭社区12. 快码13. 英选14. Upwork15. Freelancer16. Dribbble17. Remoteok18. Toptal19. AngelList20. Topcoder21. ...
看完这篇HTTP,跟面试官扯皮就没问题了
我是一名程序员,我的主要编程语言是 Java,我更是一名 Web 开发人员,所以我必须要了解 HTTP,所以本篇文章就来带你从 HTTP 入门到进阶,看完让你有一种恍然大悟、醍醐灌顶的感觉。 最初在有网络之前,我们的电脑都是单机的,单机系统是孤立的,我还记得 05 年前那会儿家里有个电脑,想打电脑游戏还得两个人在一个电脑上玩儿,及其不方便。我就想为什么家里人不让上网,我的同学 xxx 家里有网,每...
史上最全的IDEA快捷键总结
现在Idea成了主流开发工具,这篇博客对其使用的快捷键做了总结,希望对大家的开发工作有所帮助。
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
这种新手都不会范的错,居然被一个工作好几年的小伙子写出来,差点被当场开除了。
谁是华为扫地僧?
是的,华为也有扫地僧!2020年2月11-12日,“养在深闺人不知”的华为2012实验室扫地僧们,将在华为开发者大会2020(Cloud)上,和大家见面。到时,你可以和扫地僧们,吃一个洋...
立即提问